---
kind: pipeline
name: automated container publishing
steps:
  - name: publish image
    image: plugins/docker
    settings:
      username:
        from_secret: docker_reg_username
      password:
        from_secret: docker_reg_passwd
      repo: decentral1se/gotosocial
      tags: latest
trigger:
  branch:
    - main
  event:
    exclude:
      - pull_request
